net.sf.jasperreports.engine.design

## Class JRDesignSortField

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseSortField
  - - net.sf.jasperreports.engine.design.JRDesignSortField

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRSortField

      public class JRDesignSortField
      extends JRBaseSortField

  Version:
    $Id: JRDesignSortField.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_NAME`
    `static java.lang.String` | `PROPERTY_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseSortField

      `name, orderValue, PROPERTY_ORDER, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignSortField()`
    `JRDesignSortField(java.lang.String name, SortFieldTypeEnum type, SortOrderEnum order)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `setName(java.lang.String name)`
    `void` | `setType(SortFieldTypeEnum type)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseSortField

      `clone, getEventSupport, getName, getOrderValue, getType, setOrder`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_TYPE

          public static final java.lang.String PROPERTY_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignSortField

          public JRDesignSortField()

    - #### JRDesignSortField

          public JRDesignSortField(java.lang.String name,
                           SortFieldTypeEnum type,
                           SortOrderEnum order)

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setType

          public void setType(SortFieldTypeEnum type)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com